Bug 166037 - pilot-xfer -m core dumps
pilot-xfer -m core dumps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-15 23:26 EDT by Dan Christian
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-16 09:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console output from crash (2.75 KB, text/plain)
2005-08-15 23:28 EDT, Dan Christian
no flags Details
core file (460.00 KB, application/octet-stream)
2005-08-15 23:31 EDT, Dan Christian
no flags Details

  None (edit)
Description Dan Christian 2005-08-15 23:26:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
pilot-xfer -m AddressDB.pdb core dumps every time.

I only tried this on x86_64.

pilot-xfer -i ... works fine.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Connect iQue to USB cradle and press hotsync button
2.sleep 5 # so hotplug can setup device
3.pilot-xfer -m AddressDB.pdb
  

Actual Results:  Core dump.  I'll attach a log in a second.



Expected Results:  Merge databases.


Additional info:

I'm running a Garmin iQue (PalmOs 5.2.1r3, USB).  It shows up as a Handspring Visor.
Comment 1 Dan Christian 2005-08-15 23:28:19 EDT
Created attachment 117782 [details]
console output from crash
Comment 2 Dan Christian 2005-08-15 23:31:18 EDT
Created attachment 117783 [details]
core file

command was: pilot-xfer -m MemoDB.pdb
...
Merging MemoDB.pdb... OK
*** glibc detected *** pilot-xfer: double free or corruption (!prev):
0x000000000050d240 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3fb5c6a94e]
/lib64/libc.so.6(__libc_free+0x6e)[0x3fb5c6ae7e]
pilot-xfer[0x403083]
pilot-xfer[0x4068c4]
/lib64/libc.so.6(__libc_start_main+0xdc)[0x3fb5c1c4cc]
pilot-xfer[0x402cd9]
...
Comment 3 Ngo Than 2005-08-16 06:34:06 EDT
The current backtrace does show where it crashes. Could you please install the
pilot-link debuginfo package and try again to get a better backtrace. Thanks
Comment 4 Ngo Than 2005-08-16 08:11:55 EDT
oh sorry, i mean the current backtrace does not show where it crashes. 
Comment 5 Ngo Than 2005-08-16 09:05:46 EDT
I can reproduce this bug here. It's now fixed in rawhide. 
I will do fc4 update when pilot-0.12.0-pre5 will be official announced. 
 
thanks for your report. 

Note You need to log in before you can comment on or make changes to this bug.